diff -Naur ClanLib-0.6.5/Sources/API/Display/Display/pixeldata.h ClanLib-0.6.5.new/Sources/API/Display/Display/pixeldata.h
--- ClanLib-0.6.5/Sources/API/Display/Display/pixeldata.h	2001-11-01 19:26:50.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/API/Display/Display/pixeldata.h	2008-08-27 10:43:26.000000000 +0530
@@ -18,7 +18,7 @@
 
 #ifndef header_pixeldata
 #define header_pixeldata
-
+#include <string.h>
 #include <iostream>
 #include <Hermes/H_Conv.h>
 #include <Hermes/H_Pal.h>
diff -Naur ClanLib-0.6.5/Sources/Core/IOData/Generic/datafile_inputprovider.cpp ClanLib-0.6.5.new/Sources/Core/IOData/Generic/datafile_inputprovider.cpp
--- ClanLib-0.6.5/Sources/Core/IOData/Generic/datafile_inputprovider.cpp	2002-03-01 03:42:56.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Core/IOData/Generic/datafile_inputprovider.cpp	2008-08-27 10:32:01.000000000 +0530
@@ -24,6 +24,7 @@
 
 #include <iostream>
 #include <fcntl.h>
+#include <string.h>
 
 #ifdef WIN32
 	#define OPENFLAGS O_RDONLY|O_BINARY
diff -Naur ClanLib-0.6.5/Sources/Core/IOData/Generic/inputsource_memory_generic.cpp ClanLib-0.6.5.new/Sources/Core/IOData/Generic/inputsource_memory_generic.cpp
--- ClanLib-0.6.5/Sources/Core/IOData/Generic/inputsource_memory_generic.cpp	2001-12-12 02:14:21.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Core/IOData/Generic/inputsource_memory_generic.cpp	2008-08-27 10:37:22.000000000 +0530
@@ -13,7 +13,7 @@
 */
 
 #include "Core/precomp.h"
-
+#include <string.h>
 #include "API/Core/System/cl_assert.h"
 #include "inputsource_memory_generic.h"
 #include "outputsource_memory_generic.h"
diff -Naur ClanLib-0.6.5/Sources/Core/IOData/Generic/inputsource_provider_file.cpp ClanLib-0.6.5.new/Sources/Core/IOData/Generic/inputsource_provider_file.cpp
--- ClanLib-0.6.5/Sources/Core/IOData/Generic/inputsource_provider_file.cpp	2008-08-27 10:35:44.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Core/IOData/Generic/inputsource_provider_file.cpp	2008-08-27 10:35:55.000000000 +0530
@@ -18,7 +18,7 @@
 #else
 #include <unistd.h>
 #endif
-
+#include <string.h>
 #include <API/Core/IOData/inputsource_provider_file.h>
 #include <API/Core/IOData/inputsource_file.h>
 
diff -Naur ClanLib-0.6.5/Sources/Core/IOData/Generic/outputsource_memory_generic.cpp ClanLib-0.6.5.new/Sources/Core/IOData/Generic/outputsource_memory_generic.cpp
--- ClanLib-0.6.5/Sources/Core/IOData/Generic/outputsource_memory_generic.cpp	2001-04-29 22:34:28.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Core/IOData/Generic/outputsource_memory_generic.cpp	2008-08-27 10:38:51.000000000 +0530
@@ -11,7 +11,7 @@
 
 	------------------------------------------------------------------------
 */
-
+#include <string.h>
 #include "Core/precomp.h"
 
 #include "API/Core/System/cl_assert.h"
diff -Naur ClanLib-0.6.5/Sources/Display/Display/Generic/blit_alphamask_rle.cpp ClanLib-0.6.5.new/Sources/Display/Display/Generic/blit_alphamask_rle.cpp
--- ClanLib-0.6.5/Sources/Display/Display/Generic/blit_alphamask_rle.cpp	2001-11-07 08:29:18.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Display/Display/Generic/blit_alphamask_rle.cpp	2008-08-27 10:40:45.000000000 +0530
@@ -15,7 +15,7 @@
 */
 
 #include "Core/precomp.h"
-
+#include <string.h>
 #include "blit_alphamask_rle.h"
 #include "displaycard_generic.h"
 #include <API/Display/Display/surfaceprovider.h>
diff -Naur ClanLib-0.6.5/Sources/Display/Display/Generic/blit_alphamask_rle.h ClanLib-0.6.5.new/Sources/Display/Display/Generic/blit_alphamask_rle.h
--- ClanLib-0.6.5/Sources/Display/Display/Generic/blit_alphamask_rle.h	2001-09-02 23:03:37.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Display/Display/Generic/blit_alphamask_rle.h	2008-08-27 10:41:09.000000000 +0530
@@ -16,7 +16,7 @@
 
 #ifndef header_alphamask_blitter
 #define header_alphamask_blitter
-
+#include <string.h>
 #include "blitters.h"
 #include "colormap.h"
 
diff -Naur ClanLib-0.6.5/Sources/Display/Display/Generic/blit_opaque.cpp ClanLib-0.6.5.new/Sources/Display/Display/Generic/blit_opaque.cpp
--- ClanLib-0.6.5/Sources/Display/Display/Generic/blit_opaque.cpp	2001-04-13 01:28:17.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Display/Display/Generic/blit_opaque.cpp	2008-08-27 10:42:12.000000000 +0530
@@ -11,7 +11,7 @@
 
 	------------------------------------------------------------------------
 */
-
+#include <string.h>
 #include "Core/precomp.h"
 #include "API/Display/Display/surfaceprovider.h"
 #include <API/Display/Display/pixeldata.h>
diff -Naur ClanLib-0.6.5/Sources/Display/Display/Generic/mousecursor_generic.cpp ClanLib-0.6.5.new/Sources/Display/Display/Generic/mousecursor_generic.cpp
--- ClanLib-0.6.5/Sources/Display/Display/Generic/mousecursor_generic.cpp	2001-12-14 08:09:58.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Display/Display/Generic/mousecursor_generic.cpp	2008-08-27 10:44:44.000000000 +0530
@@ -13,7 +13,7 @@
 */
 
 #include "Core/precomp.h"
-
+#include <string.h>
 #ifdef BORLAND
 #pragma hdrstop
 #endif
diff -Naur ClanLib-0.6.5/Sources/Display/Display/Generic/palette.cpp ClanLib-0.6.5.new/Sources/Display/Display/Generic/palette.cpp
--- ClanLib-0.6.5/Sources/Display/Display/Generic/palette.cpp	2001-11-02 07:54:09.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Display/Display/Generic/palette.cpp	2008-08-27 10:45:56.000000000 +0530
@@ -11,7 +11,7 @@
 
 	------------------------------------------------------------------------
 */
-
+#include <string.h>
 #include "Core/precomp.h"
 #include <API/Display/Display/palette.h>
 #include <API/Core/IOData/inputsource_provider.h>
diff -Naur ClanLib-0.6.5/Sources/Display/Display/Generic/target_generic.cpp ClanLib-0.6.5.new/Sources/Display/Display/Generic/target_generic.cpp
--- ClanLib-0.6.5/Sources/Display/Display/Generic/target_generic.cpp	2002-02-19 04:17:37.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Display/Display/Generic/target_generic.cpp	2008-08-27 10:52:10.000000000 +0530
@@ -15,7 +15,7 @@
 */
 
 #include "Core/precomp.h"
-
+#include <string.h>
 #include <API/Display/Display/cliprect.h>
 #include <API/Display/Display/target.h>
 #include <API/Display/Display/pixelformat.h>
diff -Naur ClanLib-0.6.5/Sources/Display/Display/X11/display_xwindow.h ClanLib-0.6.5.new/Sources/Display/Display/X11/display_xwindow.h
--- ClanLib-0.6.5/Sources/Display/Display/X11/display_xwindow.h	2002-08-14 19:18:40.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Display/Display/X11/display_xwindow.h	2008-08-27 11:00:11.000000000 +0530
@@ -16,7 +16,7 @@
 #define header_display_xwindow
 
 #ifdef USE_X11
-
+#include <string.h>
 #include "Display/Display/Generic/displaycard_generic.h"
 #include "API/Core/System/keep_alive.h"
 
diff -Naur ClanLib-0.6.5/Sources/Display/Display/X11/x11_resolution.cpp ClanLib-0.6.5.new/Sources/Display/Display/X11/x11_resolution.cpp
--- ClanLib-0.6.5/Sources/Display/Display/X11/x11_resolution.cpp	2002-04-04 06:46:11.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Display/Display/X11/x11_resolution.cpp	2008-08-27 10:53:33.000000000 +0530
@@ -15,7 +15,7 @@
 #include "Core/precomp.h"
 
 #include <iostream>
-
+#include <string.h>
 #ifdef USE_X11
 #include "API/Core/System/cl_assert.h"
 #include "x11_resolution.h"
diff -Naur ClanLib-0.6.5/Sources/Display/SurfaceProviders/masktranscol_provider.cpp ClanLib-0.6.5.new/Sources/Display/SurfaceProviders/masktranscol_provider.cpp
--- ClanLib-0.6.5/Sources/Display/SurfaceProviders/masktranscol_provider.cpp	2001-12-16 02:56:29.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Display/SurfaceProviders/masktranscol_provider.cpp	2008-08-27 10:49:30.000000000 +0530
@@ -12,7 +12,7 @@
 	------------------------------------------------------------------------
 */
 #include "Core/precomp.h"
-
+#include <string.h>
 #include "masktranscol_provider.h"
 #include "API/Core/System/cl_assert.h"
 
diff -Naur ClanLib-0.6.5/Sources/Display/SurfaceProviders/provider_pcx.cpp ClanLib-0.6.5.new/Sources/Display/SurfaceProviders/provider_pcx.cpp
--- ClanLib-0.6.5/Sources/Display/SurfaceProviders/provider_pcx.cpp	2002-02-04 02:26:06.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Display/SurfaceProviders/provider_pcx.cpp	2008-08-27 10:47:55.000000000 +0530
@@ -26,7 +26,7 @@
 #include "API/Display/Display/res_surface.h"
 #include "API/Core/Resources/resourceoptions.h"
 #include <iostream>
-
+#include <string.h>
 CL_Surface *CL_PCXProvider::create(
 	std::string handle, 
 	CL_InputSourceProvider *provider, 
diff -Naur ClanLib-0.6.5/Sources/Display/SurfaceProviders/sprite_subarray_provider.cpp ClanLib-0.6.5.new/Sources/Display/SurfaceProviders/sprite_subarray_provider.cpp
--- ClanLib-0.6.5/Sources/Display/SurfaceProviders/sprite_subarray_provider.cpp	2002-03-03 01:13:46.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Display/SurfaceProviders/sprite_subarray_provider.cpp	2008-08-27 10:50:51.000000000 +0530
@@ -15,7 +15,7 @@
 		Sprite subarray provider
 
 */
-
+#include <string.h>
 #include "Core/precomp.h"
 #include "API/Display/SurfaceProviders/sprite_subarray_provider.h"
 #include "API/Core/System/cl_assert.h"
diff -Naur ClanLib-0.6.5/Sources/Network/Generic/ip_address.cpp ClanLib-0.6.5.new/Sources/Network/Generic/ip_address.cpp
--- ClanLib-0.6.5/Sources/Network/Generic/ip_address.cpp	2002-07-03 02:29:33.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Network/Generic/ip_address.cpp	2008-08-27 11:29:05.000000000 +0530
@@ -13,7 +13,7 @@
 */
 #include "API/Network/ip_address.h"
 #include "API/Core/System/error.h"
-
+#include <string.h>
 #ifndef WIN32
 	#include <sys/socket.h>
 	#include <netinet/in.h>
diff -Naur ClanLib-0.6.5/Sources/Network/Generic/netvariables.cpp ClanLib-0.6.5.new/Sources/Network/Generic/netvariables.cpp
--- ClanLib-0.6.5/Sources/Network/Generic/netvariables.cpp	2001-05-18 17:28:37.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Network/Generic/netvariables.cpp	2008-08-27 11:24:13.000000000 +0530
@@ -16,7 +16,7 @@
 #include "API/Network/netvariables.h"
 #include "netvariables_generic.h"
 #include <vector>
-
+#include <string.h>
 /////////////////////////////////////////////////////////////////////////////
 // CL_NetVariables Construction:
 
diff -Naur ClanLib-0.6.5/Sources/Network/Generic/netvariables_generic.h ClanLib-0.6.5.new/Sources/Network/Generic/netvariables_generic.h
--- ClanLib-0.6.5/Sources/Network/Generic/netvariables_generic.h	2001-05-18 17:28:37.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Network/Generic/netvariables_generic.h	2008-08-27 11:24:23.000000000 +0530
@@ -18,6 +18,7 @@
 #include <list>
 #include "API/Core/IOData/inputsource.h"
 #include "API/Core/IOData/outputsource.h"
+#include <string.h>
 
 class CL_NetVariable
 {
diff -Naur ClanLib-0.6.5/Sources/Network/Generic/socket.cpp ClanLib-0.6.5.new/Sources/Network/Generic/socket.cpp
--- ClanLib-0.6.5/Sources/Network/Generic/socket.cpp	2001-11-22 06:13:11.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Network/Generic/socket.cpp	2008-08-27 11:25:54.000000000 +0530
@@ -27,6 +27,7 @@
 
 #include "socket_generic.h"
 #include "API/Core/System/error.h"
+#include <string.h>
 
 /////////////////////////////////////////////////////////////////////////////
 // CL_Socket construction:
diff -Naur ClanLib-0.6.5/Sources/Network/Generic/socket_generic.cpp ClanLib-0.6.5.new/Sources/Network/Generic/socket_generic.cpp
--- ClanLib-0.6.5/Sources/Network/Generic/socket_generic.cpp	2001-11-22 06:13:11.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Network/Generic/socket_generic.cpp	2008-08-27 11:27:19.000000000 +0530
@@ -17,7 +17,7 @@
 #endif
 
 #include "socket_generic.h"
-
+#include <string.h>
 /////////////////////////////////////////////////////////////////////////////
 // CL_Socket_Generic static operations:
 
diff -Naur ClanLib-0.6.5/Sources/Sound/Sound/ClanSound/mixer.cpp ClanLib-0.6.5.new/Sources/Sound/Sound/ClanSound/mixer.cpp
--- ClanLib-0.6.5/Sources/Sound/Sound/ClanSound/mixer.cpp	2001-11-22 04:48:51.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Sound/Sound/ClanSound/mixer.cpp	2008-08-27 11:21:07.000000000 +0530
@@ -10,7 +10,7 @@
 #endif
 
 #ifdef USE_CLANSOUND
-
+#include <string.h>
 #include <Sound/Sound/ClanSound/mixer.h>
 #include <Sound/Sound/ClanSound/cardplayback_clan.h>
 
diff -Naur ClanLib-0.6.5/Sources/Sound/Sound/ClanSound/playback_static.cpp ClanLib-0.6.5.new/Sources/Sound/Sound/ClanSound/playback_static.cpp
--- ClanLib-0.6.5/Sources/Sound/Sound/ClanSound/playback_static.cpp	2001-10-02 02:12:17.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Sound/Sound/ClanSound/playback_static.cpp	2008-08-27 11:16:55.000000000 +0530
@@ -22,7 +22,7 @@
 #include <Sound/Sound/ClanSound/cardplayback_clan.h>
 #include <Sound/Sound/ClanSound/playback_static.h>
 #include <Sound/Sound/ClanSound/soundcard_clan.h>
-
+#include <string.h>
 #include <cmath>
 
 CL_Playback_Static::CL_Playback_Static(
diff -Naur ClanLib-0.6.5/Sources/Sound/Sound/ClanSound/playback_stream.cpp ClanLib-0.6.5.new/Sources/Sound/Sound/ClanSound/playback_stream.cpp
--- ClanLib-0.6.5/Sources/Sound/Sound/ClanSound/playback_stream.cpp	2002-02-02 03:34:54.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Sound/Sound/ClanSound/playback_stream.cpp	2008-08-27 11:19:49.000000000 +0530
@@ -22,6 +22,7 @@
 
 #ifdef USE_CLANSOUND
 
+#include <string.h>
 #include <API/Core/System/mutex.h>
 #include <API/Sound/stream_soundprovider.h>
 #include "API/Core/System/cl_assert.h"
diff -Naur ClanLib-0.6.5/Sources/Sound/Sound/ClanSound/soundbuffer_static_clan.cpp ClanLib-0.6.5.new/Sources/Sound/Sound/ClanSound/soundbuffer_static_clan.cpp
--- ClanLib-0.6.5/Sources/Sound/Sound/ClanSound/soundbuffer_static_clan.cpp	2001-09-25 01:51:38.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Sound/Sound/ClanSound/soundbuffer_static_clan.cpp	2008-08-27 11:15:16.000000000 +0530
@@ -21,7 +21,7 @@
 #endif
 
 #ifdef USE_CLANSOUND
-
+#include <string.h>
 #include <API/Sound/static_soundprovider.h>
 #include "API/Core/System/cl_assert.h"
 #include <Sound/Sound/Generic/cardsoundbuffer_playback.h>
diff -Naur ClanLib-0.6.5/Sources/Sound/SoundFilters/inverse_echofilter_generic.cpp ClanLib-0.6.5.new/Sources/Sound/SoundFilters/inverse_echofilter_generic.cpp
--- ClanLib-0.6.5/Sources/Sound/SoundFilters/inverse_echofilter_generic.cpp	2002-05-20 18:27:06.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Sound/SoundFilters/inverse_echofilter_generic.cpp	2008-08-27 11:07:48.000000000 +0530
@@ -21,7 +21,7 @@
 #ifdef BORLAND
 #include <memory.h>
 #endif
-
+#include <string.h>
 CL_InverseEchoFilter::CL_InverseEchoFilter(int buffer_size)
 {
 	impl = new CL_InverseEchoFilter_Generic;
diff -Naur ClanLib-0.6.5/Sources/Sound/SoundProviders/static_provider_wave.cpp ClanLib-0.6.5.new/Sources/Sound/SoundProviders/static_provider_wave.cpp
--- ClanLib-0.6.5/Sources/Sound/SoundProviders/static_provider_wave.cpp	2002-08-14 19:28:29.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Sound/SoundProviders/static_provider_wave.cpp	2008-08-27 11:01:50.000000000 +0530
@@ -19,7 +19,7 @@
 #ifdef WIN32
 #pragma warning (disable:4786)
 #endif
-
+#include <string.h>
 #include "API/Core/IOData/cl_endian.h"
 #include "API/Core/IOData/inputsource_provider.h"
 #include "API/Core/IOData/inputsource.h"
diff -Naur ClanLib-0.6.5/Sources/Sound/SoundProviders/stream_provider_wave.cpp ClanLib-0.6.5.new/Sources/Sound/SoundProviders/stream_provider_wave.cpp
--- ClanLib-0.6.5/Sources/Sound/SoundProviders/stream_provider_wave.cpp	2002-08-14 19:30:13.000000000 +0530
+++ ClanLib-0.6.5.new/Sources/Sound/SoundProviders/stream_provider_wave.cpp	2008-08-27 11:03:10.000000000 +0530
@@ -19,7 +19,7 @@
 #ifdef WIN32
 #pragma warning (disable:4786)
 #endif
-
+#include <string.h>
 #include "API/Core/System/cl_assert.h"
 #include "API/Core/System/error.h"
 #include "API/Core/IOData/inputsource.h"
